Loading...
Searching...
No Matches
jack_property_t Struct Reference
Metadata API.

`#include <metadata.h>`

## Data Fields

const char * | key
const char * | data
const char * | type

## Detailed Description

A single property (key:value pair).

Although there is no semantics imposed on metadata keys and values, it is much less useful to use it to associate highly structured data with a port (or client), since this then implies the need for some (presumably library-based) code to parse the structure and be able to use it.

The real goal of the metadata API is to be able to tag ports (and clients) with small amounts of data that is outside of the core JACK API but nevertheless useful.

## Field Documentation

## data

const char* jack_property_t::data

The property value (null-terminated string).

## key

const char* jack_property_t::key

The key of this property (URI string).

## type

const char* jack_property_t::type

Type of data, either a MIME type or URI.

If type is NULL or empty, the data is assumed to be a UTF-8 encoded string (text/plain). The data is a null-terminated string regardless of type, so values can always be copied, but clients should not try to interpret values of an unknown type.

Example values:

- image/png;base64 (base64 encoded PNG image)
- http://www.w3.org/2001/XMLSchema#int (integer)

Official types are preferred, but clients may use any syntactically valid MIME type (which start with a type and slash, like "text/..."). If a URI type is used, it must be a complete absolute URI (which start with a scheme and colon, like "http:").

The documentation for this struct was generated from the following file:

- metadata.h